projects
/
buildroot.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
e31844e
)
package/config: add gettext helper
author
Peter Korsgaard
<jacmet@sunsite.dk>
Thu, 19 Jun 2008 19:06:08 +0000
(19:06 -0000)
committer
Peter Korsgaard
<jacmet@sunsite.dk>
Thu, 19 Jun 2008 19:06:08 +0000
(19:06 -0000)
From Bernhards tree (
2b693d78
)
package/config/check.sh
[new file with mode: 0755]
patch
|
blob
diff --git a/package/config/check.sh
b/package/config/check.sh
new file mode 100755
(executable)
index 0000000..
fa59cbf
--- /dev/null
+++ b/
package/config/check.sh
@@ -0,0
+1,14
@@
+#!/bin/sh
+# Needed for systems without gettext
+$* -xc -o /dev/null - > /dev/null 2>&1 << EOF
+#include <libintl.h>
+int main()
+{
+ gettext("");
+ return 0;
+}
+EOF
+if [ ! "$?" -eq "0" ]; then
+ echo -DKBUILD_NO_NLS;
+fi
+